| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.ANXTime Class Reference

This class contains a time instant given as an absolute orbit number plus the time elapsed since the ANX. More...

Inheritance diagram for EECFI.ANXTime:

List of all members.

## Public Member Functions
| ANXTime ()
| Class finalructor.
| ANXTime (long orbitIn, long secondsIn, long microsecIn)
| Class constructor.
| ANXTime (final OrbitId orbitIdIn, long orbitIn, long secondsIn, long microsecIn) throws CfiError
| Class constructor.
| ANXTime (final ANXTime at) throws CfiError
| Copy class constructor.
native double | orbitToTime (long timeRef) throws CfiError
| Compute the time for a given orbit and time after the ANX.
native void | timeToOrbit (long timeRef, double time) throws CfiError
| Get the absolute orbit number and the time after the ANX for a given time.
void | setBOM ()
| Set time to Beggining of mission (BOM).
void | setEOM ()
| Set time to End of mission (EOM).
native OrbitalInfo | getOrbitInfo () throws CfiError
| Returns orbital information for the orbit of the object.
native void | orbitInfoConfigure (long item, long option) throws CfiError
| Method that can be used to activate/deactivate the computation of several parameters in call to ANXTime.getOrbitInfo.
void | adjustWithNodalPeriod () throws CfiError
| Correct ANX time taking into account the orbit duration.
ANXTime | add (double time) throws CfiError
| Add operator a time to object.
ANXTime | subtract (double time) throws CfiError
| Subtract a time to object.
double | subtract (final ANXTime at) throws CfiError
| Substract two ANXTime objects and returns the number of seconds between them.
boolean | gt (final ANXTime at) throws CfiError
| Operator > .
boolean | lt (final ANXTime at) throws CfiError
| Operator < .
boolean | ge (final ANXTime at) throws CfiError
| Operator >= .
boolean | le (final ANXTime at) throws CfiError
| Operator <= .
boolean | eq (final ANXTime at) throws CfiError
| Operator ==.
boolean | neq (final ANXTime at) throws CfiError
| Operator != .
void | copy (final ANXTime at) throws CfiError
| Copy operator.
## Public Attributes
long | orbit
| Absolute orbit number.
long | seconds
| Seconds since the ANX.
long | microseconds
| Microseconds.

## Detailed Description

This class contains a time instant given as an absolute orbit number plus the time elapsed since the ANX.

## Constructor & Destructor Documentation

EECFI.ANXTime.ANXTime | ( |  | ) |

Class finalructor.

EECFI.ANXTime.ANXTime | ( | long | orbitIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  |

Class constructor.

EECFI.ANXTime.ANXTime | ( | final OrbitId | orbitIdIn,
|  | long | orbitIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  | throws CfiError

Class constructor.

EECFI.ANXTime::ANXTime | ( | final ANXTime | at | ) | throws CfiError

Copy class constructor.

Parameters:

  | at | ANXTime object to copy.

## Member Function Documentation

ANXTime EECFI.ANXTime::add | ( | double | time | ) | throws CfiError

Add operator a time to object.

Parameters:

  | time | Seconds to be added to the ANXTime object.

Returns:
  Resulting ANX time.

void EECFI.ANXTime.adjustWithNodalPeriod | ( |  | ) | throws CfiError

Correct ANX time taking into account the orbit duration.

void EECFI.ANXTime::copy | ( | final ANXTime | t | ) | throws CfiError

Copy operator.

Parameters:

  | t | ANXTime object we want to copy values into this one.

Returns:
  Result of comparison.

boolean EECFI.ANXTime::eq | ( | final ANXTime | at | ) | throws CfiError

Operator ==.

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

boolean EECFI.ANXTime::ge | ( | final ANXTime | at | ) | throws CfiError

Operator >= .

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

OrbitalInfo EECFI.ANXTime::getOrbitInfo | ( |  | ) | throws CfiError

Returns orbital information for the orbit of the object.

Returns:
  Information of orbit in ANXTime object.

boolean EECFI.ANXTime::gt | ( | final ANXTime | at | ) | throws CfiError

Operator > .

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

boolean EECFI.ANXTime::le | ( | final ANXTime | at | ) | throws CfiError

Operator <= .

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

boolean EECFI.ANXTime::lt | ( | final ANXTime | at | ) | throws CfiError

Operator < .

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

boolean EECFI.ANXTime::neq | ( | final ANXTime | at | ) | throws CfiError

Operator != .

Parameters:

  | at | ANXTime object we want to compare with.

Returns:
  Result of comparison.

void EECFI.ANXTime::orbitInfoConfigure | ( | long | item,
|  | long | option |
| ) |  |  | throws CfiError

Method that can be used to activate/deactivate the computation of several parameters in call to ANXTime.getOrbitInfo.

Some parameters computed by ANXTime.getOrbitInfo require a significant computation time, so their computation is disabled by default and must be activated with orbitInfoConfigure method. The parameters that can be activated currently are the following ones:

- Spacecraft midnight (SMX)

Parameters:

  | item | Orbit info item to be activated/deactivated (OrbitInfoItemsEnum).
  | option | Activate/deactivate item computation (OrbitInfoFlagEnum).

double EECFI.ANXTime::orbitToTime | ( | long | timeRef | ) | throws CfiError

Compute the time for a given orbit and time after the ANX.

Parameters:

  | timeRef | Time reference (TimeRefOrbitEnum).

Returns:
  Time (decimal days, processing format).

void EECFI.ANXTime.setBOM | ( |  | ) |

Set time to Beggining of mission (BOM).

void EECFI.ANXTime.setEOM | ( |  | ) |

Set time to End of mission (EOM).

ANXTime EECFI.ANXTime::subtract | ( | double | time | ) | throws CfiError

Subtract a time to object.

Parameters:

  | time | Seconds to be substracted from the ANXTime object.

Returns:
  Resulting ANX time.

double EECFI.ANXTime::subtract | ( | final ANXTime | at | ) | throws CfiError

Substract two ANXTime objects and returns the number of seconds between them.

Parameters:

  | at | ANXTime object we want to substract to the object.

Returns:
  Time difference in seconds.

void EECFI.ANXTime::timeToOrbit | ( | long | timeRef,
|  | double | time |
| ) |  |  | throws CfiError

Get the absolute orbit number and the time after the ANX for a given time.

Results are stored in the object.
COMPATIBILITY NOTE: This function returns its output compliant with the definition of [EO_OPS] and [MCD], and therefore with respect to an ANX respect to ToD/EF. The calculation of orbit parameters (time from ANX and orbit number) with respect other frame of reference (e.g. J2000) is not supported.

Parameters:

  | timeRef | Time reference (TimeRefOrbitEnum).
  | time | Time (decimal days, processing format).

## Member Data Documentation

long EECFI.ANXTime.microseconds

Microseconds.

long EECFI.ANXTime.orbit

Absolute orbit number.

long EECFI.ANXTime.seconds

Seconds since the ANX.